Bug 214083 - Synaptics Touchpad Driver not usable on Apple Ibook G4
Synaptics Touchpad Driver not usable on Apple Ibook G4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 11:14 EST by Klaus-Peter Schrage
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 13:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaus-Peter Schrage 2006-11-05 11:14:34 EST
Description of problem:
Fresh install of FC6 on an ibook.
Whichever movement I make with my fingertip on the touchpad, the cursor drifts
away to the upper left corner of the screen just to remain there.
If I deactivate the synaptics driver in xorg.conf, touchpad is working, but is
rather "fidgety", that's why I installed the driver which used to work properly
in FC5.

Version-Release number of selected component (if applicable):
synaptics-0.14.4-8.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install FC6 on ibook G4
2. Install synaptics driver
3. Activate synaptics driver in xorg.conf
  
Actual results:


Expected results:


Additional info:
Here is the relevant part of my xorg.conf:
Section "InputDevice"
        Identifier "Synaptics"
        Driver "synaptics"
        Option "Device" "/dev/input/mice"
        Option "Protocol" "auto-dev"
        Option        "Protocol"      "auto-dev"
        Option        "LeftEdge"      "1700"
        Option        "RightEdge"     "5300"
        Option        "TopEdge"       "1700"
        Option        "BottomEdge"    "4200"
        Option        "FingerLow"     "25"
        Option        "FingerHigh"    "30"
        Option        "MaxTapTime"    "180"
        Option        "MaxTapMove"    "220"
        Option        "VertScrollDelta" "100"
        Option        "MinSpeed"      "0.09"
        Option        "MaxSpeed"      "0.18"
        Option        "AccelFactor"   "0.0015"
        Option  "Emulate3Buttons" "yes"
        Option  "SHMConfig" "true"
        Option  "UseShm" "true"
EndSection

But even if I leave out all the "geometric" options (LeftEdge, ...,
AccelFactor), the behaviour is the same.
Comment 1 Klaus-Peter Schrage 2006-11-10 12:56:13 EST
Meanwhile I have downloaded the source tarball of the synaptics driver (version
0.14.6) from
http://web.telia.com/~u89404340/touchpad/index.html

After compiling it, installing it, and restarting X all my touchpad troubles
seem to be gone, and the driver behaves as expected.
So a simple fix of this bugs should be putting the recent version of the
synaptics driver into the repository, as suggested in bug #212834.
Comment 2 Klaus-Peter Schrage 2006-11-15 13:19:21 EST
Sorry for the false alarm - the lack of usability seems to come from the above
mentioned default settings in xorg.conf. The driver works on my ibook with these
ones:
        Option        "LeftEdge"      "20"
        Option        "RightEdge"     "960"
        Option        "TopEdge"       "20"
        Option        "BottomEdge"    "337"

I was confused by the supposedly buggy behaviour of ksynaptics (see bug #215775).

Note You need to log in before you can comment on or make changes to this bug.